import { StateType } from '../types';
import { LayoutSortPayload } from '../actions';
/**
 * 往画板或者容器组件添加组件
 * @param state
 * @returns {{componentConfigs: *}}
 */
export declare function addComponent(state: StateType): StateType;
/**
 * 复制组件
 * @param state
 * @returns {{componentConfigs: *}}
 */
export declare function copyComponent(state: StateType): StateType;
/**
 * 当domTree中拖拽节点调整顺序时触发
 * @param state
 * @param payload
 * @returns {{componentConfigs: *}}
 */
export declare function onLayoutSortChange(state: StateType, payload: LayoutSortPayload): StateType;
/**
 * 删除组件
 * @param state
 * @returns {{propsSetting: *, componentConfigs: *, selectedInfo: *}}
 */
export declare function deleteComponent(state: StateType): StateType;
/**
 * 清除所有子节点
 * @param state
 * @returns {{undo: *, componentConfigs, redo: *}}
 */
export declare function clearChildNodes(state: StateType): StateType;
