import { StateType } from '../types';
import { AddPropsConfigPayload, ChangePropsPayload, DeletePropsConfigPayload } from '../actions';
/**
 * 添加属性配置
 * @param state
 * @param payload
 * @returns {{propsSetting: *}}
 */
export declare function addPropsConfig(state: StateType, payload: AddPropsConfigPayload): StateType;
/**
 * 删除属性配置
 * @param state
 * @param payload
 * @returns {{propsSetting: *}}
 */
export declare function deletePropsConfig(state: StateType, payload: DeletePropsConfigPayload): StateType;
/**
 * 提交属性
 * @param state
 * @param payload
 * @returns {{propsSetting: *, componentConfigs: *}}
 */
export declare function changeProps(state: StateType, payload: ChangePropsPayload): StateType;
/**
 * 重置属性
 * @param state
 */
export declare function resetProps(state: StateType): StateType;
