import { createStore } from 'redux';
import { reducer } from './reducers';
import { combineReducers } from './utils';
export const LEGO_BRIDGE = {
    store: null,
};
export const legoState = {
    componentConfigs: {},
    selectedInfo: null,
    propsConfigSheet: {},
    undo: [],
    redo: [],
    hoverKey: null,
    dragSource: null,
    dropTarget: null,
    platformInfo: { isMobile: false, size: ['100%', '100%'] },
};
export function createActions(action) {
    return LEGO_BRIDGE.store.dispatch(action);
}
export function createLegStore(initState = {}, config, customReducer) {
    if (LEGO_BRIDGE.store)
        return LEGO_BRIDGE.store;
    if (!LEGO_BRIDGE.config && !config) {
        throw Error('config未初始化');
    }
    else if (!LEGO_BRIDGE.config) {
        LEGO_BRIDGE.config = config;
    }
    const store = createStore(combineReducers(reducer, customReducer), { ...legoState, ...initState }, window.__REDUX_DEVTOOLS_EXTENSION__ &&
        window.__REDUX_DEVTOOLS_EXTENSION__());
    LEGO_BRIDGE.store = store;
    return store;
}
