import { ComponentConfigTypes } from './ComponentConfigTypes';
/**
 * 属性类型定义
 */
export declare enum PROPS_TYPES {
    object = "object",
    objectArray = "objectArray",
    function = "function",
    number = "number",
    numberArray = "numberArray",
    string = "string",
    stringArray = "stringArray",
    enum = "enum",
    json = "json",
    boolean = "boolean"
}
export declare enum NODE_PROPS_TYPES {
    reactNode = "reactNode",
    functionReactNode = "functionReactNode"
}
export declare type ALL_TYPE = PROPS_TYPES | NODE_PROPS_TYPES;
/**
 * 全局配置类型定义
 */
interface OriginalComponentsType {
    [componentName: string]: any;
}
export declare type AllComponentConfigsType = {
    [componentName: string]: ComponentConfigTypes;
};
export interface ConfigType {
    OriginalComponents: OriginalComponentsType;
    AllComponentConfigs: AllComponentConfigsType;
    containers: string[];
    warn?: (msg: string) => void;
}
export {};
