import { PropInfoType, PropsConfigType } from './ComponentConfigTypes';
import { Action } from 'redux';
export declare type PropsNodeType = {
    [propName: string]: string[] | undefined;
};
export declare type ChildNodesType = string[] | PropsNodeType;
export interface ParentNodeInfo {
    parentKey: string;
    parentPropName?: string;
}
export interface VirtualDOMType {
    componentName: string;
    props?: any;
    addPropsConfig?: string;
    childNodes?: ChildNodesType;
    [custom: string]: any;
}
export interface SelectedInfoBaseType extends ParentNodeInfo {
    key: string;
    domTreeKeys: string[];
}
export declare type SelectedInfoType = Omit<SelectedInfoBaseType, 'key'> & {
    selectedKey: string;
    propName?: string;
    props?: any;
    propsConfig: PropsConfigType;
};
export interface DragSourceType extends Partial<ParentNodeInfo> {
    vDOMCollection?: ComponentConfigsType;
    dragKey?: string;
    propsConfigCollection?: PropsConfigSheetType;
}
export interface DropTargetType {
    selectedKey: string;
    propName?: string;
    domTreeKeys: string[];
}
export declare type PlatformStyleType = (number | string)[];
export interface PlatformInfoType {
    isMobile: boolean;
    size: PlatformStyleType;
}
export interface PropsConfigSheetALL {
    [propName: string]: Partial<PropsConfigSheetItem>;
}
export interface PropsConfigSheetItem extends Omit<PropInfoType, 'childPropsConfig'> {
    childPropsConfig?: PropsConfigSheetALL | PropsConfigSheetALL[];
}
export interface PropsConfigSheetType {
    [componentKey: string]: PropsConfigSheetALL;
}
export interface ComponentConfigsType {
    [key: string]: VirtualDOMType;
}
export interface BrickAction extends Action<string> {
    payload?: any;
}
export declare type UndoRedoType = Partial<Omit<StateType, 'undo' | 'redo'>>;
export interface StateType {
    componentConfigs: ComponentConfigsType;
    selectedInfo: SelectedInfoType | null;
    undo: UndoRedoType[];
    redo: UndoRedoType[];
    hoverKey: null | string;
    dragSource: DragSourceType | null;
    dropTarget: null | DropTargetType;
    platformInfo: PlatformInfoType;
    propsConfigSheet: PropsConfigSheetType;
}
export declare type STATE_PROPS = keyof StateType;
