import { ChildNodesType, ComponentConfigsType, ComponentConfigTypes, PropsConfigSheetType, SelectedInfoType, StateType } from '../types';
import { ReducerType } from '../reducers';
/**
 * 根节点key
 */
export declare const ROOT = "0";
/**
 * 复制组件
 * @param componentConfigs
 * @param selectedKey
 * @param newKey
 */
export interface HandleInfoType {
    componentConfigs: ComponentConfigsType;
    propsConfigSheet: PropsConfigSheetType;
}
export declare const copyConfig: (handleInfo: HandleInfoType, selectedKey: string, newKey: number) => void;
export declare function deleteChildNodes(handleInfo: HandleInfoType, childNodes: ChildNodesType, propName?: string): void;
/**
 * 获取路径
 * */
export declare function getLocation(key: string, propName?: string): string[];
export interface VDOMAndPropsConfigType {
    componentConfigs: ComponentConfigsType;
    propsConfigSheet: PropsConfigSheetType;
}
export interface DragVDomAndPropsConfigType {
    vDOMCollection: ComponentConfigsType;
    propsConfigCollection?: PropsConfigSheetType;
}
/**
 * 生成新的Key
 * @param dragVDOMAndPropsConfig
 * @param rootKey
 */
export declare const generateNewKey: (dragVDOMAndPropsConfig: DragVDomAndPropsConfigType, rootKey: number) => {
    newVDOMCollection: ComponentConfigsType;
    newPropsConfigCollection: PropsConfigSheetType;
};
/**
 * 获取字段在props中的位置
 * @param fieldConfigLocation
 * @returns {string}
 */
export declare const getFieldInPropsLocation: (fieldConfigLocation: string) => string[];
/**
 * 处理子节点非空
 * @param selectedInfo
 * @param componentConfigs
 * @param payload
 */
export declare const handleRequiredHasChild: (selectedInfo: SelectedInfoType, componentConfigs: ComponentConfigsType) => boolean;
export declare function shallowEqual(objA: any, objB: any): boolean;
export declare function deleteChildNodesKey(childNodes: ChildNodesType, deleteKey: string, parentPropName?: string): any;
export declare function getComponentConfig(componentName: string): ComponentConfigTypes;
export declare function isContainer(componentName: string): boolean;
export declare function error(msg: string): void;
export declare function warn(msg: string): boolean;
export declare function getNewKey(componentConfigs: ComponentConfigsType): number;
export declare function restObject(obj: any, field?: string): any;
export declare function handleRules(componentConfigs: ComponentConfigsType, dragKey: string, selectedKey: string, propName?: string, isForbid?: boolean): boolean;
export declare function combineReducers(brickReducer: ReducerType, customReducer?: ReducerType): ReducerType;
export declare function createTemplateConfigs(templateConfigs: ComponentConfigsType, templatePropsConfigSheet: PropsConfigSheetType, componentConfigs: ComponentConfigsType, propsConfigSheet: PropsConfigSheetType, childNodes: ChildNodesType): void;
export declare function createTemplate(state: StateType): {
    templateConfigs: {
        0: import("../types").VirtualDOMType;
    };
    templatePropsConfigSheet: {
        0: import("../types").PropsConfigSheetALL;
    };
};
